将Laravel从5.2.45版本升级到7.0版本

我继承了一个Laravel的应用程序, 它运行得很好, 但是它的版本很老(5.2.45).

有什么好办法可以升级到可以支持的版本? 这个Laravel版本与PHP 7.3不兼容, 所以我只能使用老版本的PHP 7.0, 它已经被废弃了, 而且有安全风险.

我最好的选择是Laravel 7.0还是应该升级到其他版本?

PS: 我对PHP是个菜鸟, 所以请尽可能的详细说明.

解决方案:

回答我自己的问题, 我必须从5.2 > 5.3 > … > 7逐步升级, 并手动修复所有不兼容的地方. Laravel shift可以帮助,但它不会修复所有的问题,而且每一次迭代都会涉及到工作。

给TA打赏
共{{data.count}}人
人已打赏
未分类

在访问成员之前检查对象是否为空,或者分配非空的替代对象。

2022-9-7 23:06:21

未分类

Android Q: Intent(MediaStore.ACTION_IMAGE_CAPTURE) - 没有找到处理Intent的活动。

2022-9-7 23:17:17

0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索